Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060705 - One display seen on a multi-monitor guest after rhev 3.0 to 3.2 migration
Summary: One display seen on a multi-monitor guest after rhev 3.0 to 3.2 migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: 3.4.0
Assignee: Arik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-03 12:20 UTC by Arik
Modified: 2018-12-05 17:12 UTC (History)
18 users (show)

Fixed In Version: ovirt-3.4.0-beta2
Doc Type: Bug Fix
Doc Text:
Previously, multi-monitor virtual machines displayed only a single monitor after migrating to Red Hat Enterprise Virtualization 3.4 from version 3.0 or earlier. Now imported virtual machines display the correct number of monitors.
Clone Of: 1024636
Environment:
Last Closed: 2014-06-09 15:03:33 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23997 None None None Never
oVirt gerrit 24046 None None None Never
Red Hat Knowledge Base (Solution) 878313 None None None Never
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC

Comment 1 Michal Skrivanek 2014-02-03 14:51:36 UTC
fixing OVF import from the <3.1 release

Comment 2 Omer Frenkel 2014-02-06 09:31:24 UTC
merged to branch: ovirt-engine-3.4 as
http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=3f8645cc6036cb73aa69c97cbe97e63063f44915

Comment 4 Ilanit Stein 2014-03-04 07:30:41 UTC
Hello Jaison,

Can you please attach the ovf of the 3.0 VM, including the disk, by running on storage server:

tar -zcvf vm3_0.ovf images master

Thank you,
Ilanit.

Comment 6 Pavel Novotny 2014-03-25 17:17:31 UTC
Verified in rhevm-3.4.0-0.10.beta2.el6ev (av4).

Verification steps:
1. Create an NFS export domain with data provided in comment 5 - it contains the VM image & OVF file of a Windows VM exported in RHEVM 3.0.
2. Import the VM (check that 2 monitors are shown in the VM details sub-tab on Import Virtual Machine(s) dialog).
3. After the import is complete, check the imported VM has 2 monitors set as well.
4. Run the VM and on host check the corresponding qemu process.

Results:
The qemu parameters must contain *only one* occurence of "-device qxl,id=video...", which indicates a second display device (thus two monitors in total).

All display-related qemu parameters then look like:

-vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=33554432 -device qxl,id=video1,ram_size=67108864,vram_size=33554432,bus=pci.0,addr=0x5

Comment 7 errata-xmlrpc 2014-06-09 15:03:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.